aboutsummaryrefslogtreecommitdiff
path: root/testsuite/testing.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/testing.sh')
-rwxr-xr-xtestsuite/testing.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/testsuite/testing.sh b/testsuite/testing.sh
index 0925d090d..420cfa1ef 100755
--- a/testsuite/testing.sh
+++ b/testsuite/testing.sh
@@ -28,9 +28,19 @@ fi
export FAILCOUNT=0
+# Helper functions
+
+config_is_set ()
+{
+ local uc_what=$(echo ${1?} | tr a-z A-Z)
+ grep -q "^[ ]*CONFIG_${uc_what}" ${bindir:-..}/.config || \
+ grep -q "^[ ]*BB_CONFIG_${uc_what}" ${bindir:-..}/.config
+ return $?
+}
+
# The testing function
-function testing()
+testing()
{
if [ $# -ne 5 ]
then
@@ -38,6 +48,15 @@ function testing()
exit
fi
+ if [ ${force_tests:-0} -ne 1 -a -n "$_BB_CONFIG_DEP" ]
+ then
+ if ! config_is_set "$_BB_CONFIG_DEP"
+ then
+ echo "UNTESTED: $1"
+ return 0
+ fi
+ fi
+
f=$FAILCOUNT
echo -ne "$3" > expected
echo -ne "$4" > input